-- $LastChangedDate: 2009-11-22 22:39:11 -0500 (Sun, 22 Nov 2009) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.
-- Avoid lua_/LUA_ which is reserved by Lua.

bindTable = {

class = "Control",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "control/module.hh"
using namespace control;
]],

func_SetCurrentCraft = {
    comments = " * Control.SetCurrentCraft( craft )\n* Set which Craft is controlled by joystick (keyboard is N/A).",
    code = [[
        shptr<Craft> craft = POP_USERDATA_AS_SHPTR<Craft>( L );
        CHECK_TYPESIG(craft,TYPESIG_CRAFT);
        SET_CURRENT_CRAFT( craft );
    ]]
},

}
